<?
if(!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED!==true)die();

$arMenuLinksExt = [];

if(\Bitrix\Main\Loader::includeModule('iblock') && \Bitrix\Main\Loader::includeModule('webdebug.seo')){
	# Prepare data
	$arQuery = [
		'order' => [
			'SECTION_ID' => 'ASC',
			'URL_NAME' => 'ASC',
		],
		'filter' => [
			'TYPE' => 'SMART_FILTER',
			'!SECTION_ID' => false,
			'!=ACTIVE' => 'N',
			[
				'LOGIC' => 'OR',
				['=RULE_ACTIVE' => 'Y'],
				['RULE_ACTIVE' => false],
			],
			[
				'LOGIC' => 'OR',
				['=PROFILE_ACTIVE' => 'Y'],
				['PROFILE_ACTIVE' => false],
			],
			[
				'LOGIC' => 'OR',
				['=PROFILE_SITE_ID' => SITE_ID],
				['=SITE_ID' => SITE_ID],
			],
		],
		'select' => [
			'*',
			'RULE_ID' => 'RULE.ID',
			'RULE_NAME' => 'RULE.NAME',
			'RULE_ACTIVE' => 'RULE.ACTIVE',
			'SECTION_ID' => 'RULE.SECTION_ID',
			'SECTION_NAME' => 'SECTION.NAME',
			'PROFILE_ACTIVE' => 'PROFILE.ACTIVE',
			'PROFILE_SITE_ID' => 'PROFILE.SITE_ID',
			'PROFILE_ID' => 'RULE.PROFILE_ID',
			'PROFILE_IBLOCK_ID' => 'PROFILE.IBLOCK_ID',
		],
		'runtime' => [
			'RULE' =>   [
				'data_type' => '\WD\Seo\SmartFilter\RuleTable',
				'reference' => [
					'ref.ID' => 'this.PARENT_ID',
				],
				'join_type' => 'left',
			],
			'PROFILE' =>   [
				'data_type' => '\WD\Seo\SmartFilter\ProfileTable',
				'reference' => [
					'ref.ID' => 'this.RULE.PROFILE_ID',
				],
				'join_type' => 'left',
			],
			'SECTION' =>   [
				'data_type' => '\Bitrix\IBlock\SectionTable',
				'reference' => [
					'ref.ID' => 'this.SECTION_ID',
				],
				'join_type' => 'left',
			],
		],
	];
	$arUrls = [];
	$resUrls = \WD\Seo\UrlTable::getList($arQuery);
	while($arUrl = $resUrls->fetch()){
		if($arUrl['SECTION_ID'] > 0){
			if(!is_array($arUrls[$arUrl['SECTION_ID']])){
				$arUrls[$arUrl['SECTION_ID']] = [
					'ID' => $arUrl['SECTION_ID'],
					'NAME' => $arUrl['SECTION_NAME'],
					'URL' => \CIBlockSection::getList([], ['ID' => $arUrl['SECTION_ID']], false, ['SECTION_PAGE_URL'])
						->getNext()['SECTION_PAGE_URL'],
					'ITEMS' => [],
				];
			}
			$arUrl['_URL'] = strlen($arUrl['URL_SEO']) ? $arUrl['URL_SEO'] : $arUrl['URL_REAL'];
			$arUrl['_NAME'] = strlen($arUrl['URL_NAME']) ? $arUrl['URL_NAME'] : $arUrl['_URL'];
			$arUrls[$arUrl['SECTION_ID']]['ITEMS'][] = $arUrl;
		}
	}
	# Build menu
	foreach($arUrls as $arSection){
		$arMenuLinksExt[] = [$arSection['NAME'], $arSection['URL'], [], ['IS_PARENT' => true, 'DEPTH_LEVEL' => 1]];
		foreach($arSection['ITEMS'] as $arUrl){
			$arMenuLinksExt[] = [$arUrl['_NAME'], $arUrl['_URL'], [], ['IS_PARENT' => false, 'DEPTH_LEVEL' => 2]];
		}
	}
}

$aMenuLinks = array_merge($aMenuLinks, $arMenuLinksExt);
